#plank {
    height: 80px;
}

div.cap {
    display: block;
    height: 100px;
    width: 40px;
    background: url(../assets/img/dock-background.png) bottom left no-repeat;
}

div.cap.left {
    position: absolute;
    bottom: 0px;
    left: 0px;
}

div.cap.right {
    background-position: right bottom;
    position: absolute;
    top: 0px;
    right: 0px;
}

ul.osx-dock {
    display: inline-block;
    height: 130px;
    padding: 0 40px 0 0;
    background: url(../assets/img/dock-background.png) no-repeat right bottom;
    overflow: hidden;
    margin: 0 0 0 40px;
}

ul.osx-dock li {
    display: block;
    position: relative;
    float: left;
    width: 50px;
    height: 50px;
    margin: 60px 6px 4px 0;
    -webkit-transition: 0.15s linear;
    -moz-transition: 0.15s linear;
    -o-transition: 0.15s linear;
    -ms-transition: 0.15s linear;
    transition: 0.15s linear;
    -webkit-transition-property: -webkit-transform margin;
    -moz-transition-property: -moz-transform margin;
    -o-transition-property: -o-transform margin;
    -ms-transition-property: -ms-transform margin;
    transition-property: transform margin;
    text-align: center;
}

ul.osx-dock li a {
    display: block;
    height: 50px;
    padding: 0 1px;
    -webkit-transition: 0.15s linear;
    -moz-transition: 0.15s linear;
    -o-transition: 0.15s linear;
    -ms-transition: 0.15s linear;
    transition: 0.15s linear;
    -webkit-transition-property: -webkit-transform margin;
    -moz-transition-property: -moz-transform margin;
    -o-transition-property: -o-transform margin;
    -ms-transition-property: -ms-transform margin;
    transition-property: transform margin;
    margin: 0;
    text-decoration: none;
    -webkit-box-reflect: below 2px -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(0.45, transparent), to(rgba(255, 255, 255, 0.25)));
}

ul.osx-dock li a img {
    width: 48px;
}

ul.osx-dock li:hover {
    margin-left: 12px;
    margin-right: 12px;
    z-index: 200;
}

ul.osx-dock li:hover a {
    -webkit-transform-origin: center bottom;
    -moz-transform-origin: center bottom;
    -o-transform-origin: center bottom;
    -ms-transform-origin: center bottom;
    transform-origin: center bottom;
    -webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -o-transform: scale(1.5);
    -ms-transform: scale(1.5);
    transform: scale(1.5);
}

ul.osx-dock li.nearby {
    margin-left: 6px;
    margin-right: 6px;
    z-index: 100;
}

ul.osx-dock li.nearby a {
    -webkit-transform-origin: center bottom;
    -moz-transform-origin: center bottom;
    -o-transform-origin: center bottom;
    -ms-transform-origin: center bottom;
    transform-origin: center bottom;
    -webkit-transform: scale(1.25);
    -moz-transform: scale(1.25);
    -o-transform: scale(1.25);
    -ms-transform: scale(1.25);
    transform: scale(1.25);
}

ul.osx-dock li span {
    background: rgba(0,0,0,0.75);
    position: absolute;
    bottom: 80px;
    margin: 0 auto;
    display: none;
    width: auto;
    font-size: 11px;
    font-weight: bold;
    padding: 3px 6px;
    border-radius: 6px;
    color: #fff;
}

ul.osx-dock li:hover span {
    display: block;
    padding: 12px;
}

div#dockContainer {
    position: fixed;
    bottom: 16px;
    height: 120px;
    text-align: center;
    border-radius: 6px;
    width: 100%;
    line-height: 1;
    z-index: 100;
}

div#dockWrapper {
    width: auto;
    display: inline-block;
    position: relative;
    border-bottom: solid 2px rgba(255,255,255,.35);
    line-height: 0;
}

ul.osx-dock li a.running::after {
    content: ".";
    display: block;
    font-size: 36px;
    font-weight: 800;
    text-decoration: none;
    color: #00c853;
    text-shadow:
        -0.2rem -0.2rem 1rem #00c853,
        0.2rem 0.2rem 1rem #00c853,
        0 0 2rem #00c853,
        0 0 4rem #00c853,
        0 0 6rem #00c853,
        0 0 8rem #00c853,
        0 0 10rem #00c853;
}

@media (max-width:500px) {
    ul.osx-dock li a img {
        width: 36px;
    }
}